gitit-0.8.1: Wiki using happstack, git or darcs, and pandoc.

Network.Gitit.Initialize

Description

Functions for initializing a Gitit wiki.

Synopsis

- initializeGititState :: Config -> IO ()
- recompilePageTemplate :: IO ()
- compilePageTemplate :: FilePath -> IO (StringTemplate String)
- createStaticIfMissing :: Config -> IO ()
- createRepoIfMissing :: Config -> IO ()
- createDefaultPages :: Config -> IO ()
- createTemplateIfMissing :: Config -> IO ()

# Documentation

initializeGititState :: Config -> IO ()

Initialize Gitit State.

recompilePageTemplate :: IO ()

Recompile the page template.

compilePageTemplate :: FilePath -> IO (StringTemplate String)

createStaticIfMissing :: Config -> IO ()

Create static directory unless it exists.

createRepoIfMissing :: Config -> IO ()

Create page repository unless it exists.

createDefaultPages :: Config -> IO ()

createTemplateIfMissing :: Config -> IO ()

Create templates dir if it doesn't exist.